%define version 2006.0814

Summary:	Time modules for perl
Name:		perl-Time-modules
Version:	%{version}
Release:	%mkrel 4
License:	distributable
Group:		Development/Perl
Source:		Time-modules-%{version}.tar.bz2
URL:		http://www.cpan.org/modules/by-module/Time/
Requires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-devel >= 5.8.0
BuildArch:	noarch

%description
This package contains the following perl5 modules:

        Time::CTime.pm
                ctime, strftime, and asctime
        Time::JulianDay.pm
                Julian Day conversions
        Time::ParseDate.pm
                Reverses strftime and also understands relative times
        Time::Timezone.pm
        Time::DaysInMonth.pm

%prep
%setup -q -n Time-modules-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST CHANGELOG
%{_mandir}/*/*
%{perl_vendorlib}/Time/*




%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2006.0814-4mdv2010.1
+ Revision: 426598
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2006.0814-3mdv2009.1
+ Revision: 351700
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2006.0814-2mdv2009.0
+ Revision: 136362
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2006.0814-2mdv2008.1
+ Revision: 123841
- kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2006.0814-2mdv2008.0
+ Revision: 67554
- rebuild

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.0814-1mdv2008.0
+ Revision: 20769
- 2006.0814


* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 2003.1126-2mdv2007.0
+ Revision: 133184
- use mkrel

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Time-modules

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 2003.1126-1mdk
- New release 2003.1126

